Page MenuHomePhabricator

SVG rendering with marker-element is different between librsvg and Inkscape
Closed, ResolvedPublic

Description

For details see bug on Gnome Bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=476507.

Example: File:Rsvg marker element bug.svg - arrowhead should point in the same direction the curve is going

Related Objects

StatusAssignedTask
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedKrenair
Resolved AlexMonk-WMF
Resolvedfgiunchedi
Resolved AlexMonk-WMF
ResolvedKrenair
Resolvedfgiunchedi
ResolvedKrenair
DeclinedNone
Resolvedmobrovac
ResolvedKrinkle
ResolvedKartikMistry
ResolvedKartikMistry
Resolved bd808
InvalidNone
DeclinedNone
Resolveddduvall
Resolveddduvall

Event Timeline

Menner created this task.May 1 2015, 12:02 PM
Menner raised the priority of this task from to Needs Triage.
Menner updated the task description. (Show Details)
Menner added a subscriber: Menner.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2015, 12:02 PM
Menner renamed this task from SVG rendering with marker-element different between librsvg and Inkscape to SVG rendering with marker-element is different between librsvg and Inkscape.May 1 2015, 12:02 PM
Menner set Security to None.
Menner added a comment.May 1 2015, 5:41 PM

These libRSVG bugs are that simple to fix. I've patched it myself instead of pressuring someone and explaining me. See bugzilla above.

Perhelion added a subscriber: Perhelion.

Fixed in upstream librsvg; patch will be included in librsvg 2.40.10.

Aklapper changed the task status from Open to Stalled.Aug 9 2015, 3:53 PM

Fix included in version 2.40.10 which got released now. Now need to backport or need to wait for the distribution used on Wikimedia servers to provide that version....

Tgr added a subscriber: Tgr.Dec 2 2015, 8:05 PM

Testcase from the librsvg bug: File:Rsvg marker element bug.svg
Testcase from the merged ticket: File:Adservingsimple.svg (first version of the file)

Tgr updated the task description. (Show Details)Dec 2 2015, 8:09 PM
Aklapper triaged this task as Low priority.Mar 8 2016, 10:39 PM

That bug is fixed on the new jessie image scaler using 2.4.16 (tested locally, it's not yet pooled into the set of active scalers in production). I have scaled "Rsvg marker element bug.svg" on the new and the present image scalers and put the results at https://people.wikimedia.org/~jmm/svg/ :

new-arrow.png is the result on the jessie scaler
old-arrow.png is the results with an existing scaler

(The pixel sizes differ slightly to prevent hitting the cached results in favour of a fresh scaler run)

MoritzMuehlenhoff closed this task as Resolved.Jul 4 2016, 2:45 PM

The trusty-based image scalers have now been disabled, so I'm marking this task as resolved.

Tgr added a comment.Jul 4 2016, 7:21 PM
In T97758#1845685, @Tgr wrote:

Testcase from the librsvg bug: File:Rsvg marker element bug.svg
Testcase from the merged ticket: File:Adservingsimple.svg (first version of the file)

The second is fixed now but the first still seems broken.

Menner added a comment.Jul 4 2016, 7:35 PM

@Tgr: be patient. Now [[File:Rsvg marker element bug.svg]] is borken again too. Although it work fine recently.

@Menner, @Tgr: Fixed. For confirmation I have re-triggered the generation of File:Rsvg marker element bug.svg five times and it was always rendered correctly. The reason that it partly returned the old version, was an oversight on my side; some of jessie scalers were still using the standard version of librsvg as shipped in Debian jessie, as some of the servers had been installed prior to the upgrade of librsvg. All new image scaler installations will use the new librsvg from the start.